using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;

namespace WTD_Editor
{
    public class Clan
    {
        // attributes
        public string name;
        public string info;
        public int icon_idx;
        [XmlIgnore]
        public List<Evolution> evolutions;
        public List<int> evolutions_idx;

        // constructor
        public Clan()
        {
            name = "";
            info = "";
            icon_idx = 0;
            evolutions = new List<Evolution>();
            evolutions_idx = new List<int>();
        }

        override public string ToString()
        {
            return this.name;
        }
    }
}
